body{
    margin: 0;
    padding: 0;
}
a{
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%,-50%);
    width: 180px;
    height: 60px;
    line-height: 60px;
    text-align: center;
    color: #000;
    text-decoration: none;
    text-transform: none;
    text-transform: uppercase;
    font-size: 24px;
    letter-spacing: 2px;
    font-family: sans-serif;
    transition: .5s;
}
a:hover{
    color: #fff;
}
a:before{
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: #000;
    z-index: -1;
    transform: scale(0);
    transition: .5s;
}
a:hover:before{
    transform: scale(1);
    transition-delay: .5s;
}
a span{
    position: absolute;
    background: #000;
    display: block;
    transition: .5s;
}
a span:nth-child(1),
a span:nth-child(3)
{
    width: 50px;
    height: 4px;
}
a span:nth-child(2),
a span:nth-child(4)
{
    width: 4px;
    height: 50px;
}
a span:nth-child(1){
    left: -100px;
    top: calc(50% - 2px) ;
    transform-origin: left;
    opacity: 0;
}
a:hover span:nth-child(1){
    left: 50%;
    transition: .5s;
    transform: scaleX(0);
    opacity: 1;
}
a span:nth-child(3){
    right: -100px;
    top: calc(50% - 2px) ;
    transform-origin: right;
    opacity: 0;
}
a:hover span:nth-child(3){
    right: 50%;
    transition: .5s;
    transform: scaleX(0);
    opacity: 1;
}
a span:nth-child(2){
    left: calc(50% - 2px) ;
    top: -100px;
    transform-origin: right;
    opacity: 0;
}
a:hover span:nth-child(2){
    top: 50%;
    transition: .5s;
    transform: scaleY(0);
    opacity: 1;
}
a span:nth-child(4){
    left: calc(50% - 2px) ;
    bottom: -100px;
    transform-origin: bottom;
    opacity: 0;
}
a:hover span:nth-child(4){
    bottom: 50%;
    transition: .5s;
    transform: scaleY(0);
    opacity: 1;
}